Name:           rpld
Version:        1.8
Release:        0.25.beta1%{?dist}
Summary:        RPL/RIPL remote boot daemon
Group:          System Environment/Daemons
# No version specified.
License:        GPL+
URL:            http://gimel.esc.cam.ac.uk/james/rpld/index.html
Source0:        http://gimel.esc.cam.ac.uk/james/rpld/src/rpld-1.8-beta-1.tar.gz
Source2:	%{name}.sysconfig
Source3:	%{name}.service
Patch0:         rpld_1.8beta1-6.diff.gz
Patch1:         rpld-1.8-makefile.patch

BuildRequires:  byacc flex systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
Daemon to net-boot IBM style RPL boot ROMs (this is not the
same as the Novell IPX-style RPL protocol, despite the
name).

%post
%systemd_post rpld.service

%preun
%systemd_preun rpld.service

%postun
%systemd_postun rpld.service

%prep
%setup -q
%patch0 -p1

for I in debian/patches/* ;
do
  patch -p1 -i ${I}
done

%patch1 -p1

%build
make OPT="-fPIE -pie $RPM_OPT_FLAGS" %{?_smp_mflags}
make OPT="-fPIE -pie $RPM_OPT_FLAGS" %{?_smp_mflags}
mv LICENCE LICENSE

%install
# mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/man/man{8,5}}
mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man{8,5}}
make install DESTDIR=$RPM_BUILD_ROOT BINMODE=755 MANMODE=644

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}
install -d $RPM_BUILD_ROOT%{_unitdir}
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT%{_unitdir}/%{name}.service

%files
%defattr(-,root,root,-)
%doc README LICENSE INSTALL rpld.conf.sample
%{_sbindir}/*
%{_mandir}/man[^3]/*
%{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}.service

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-0.25.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-0.24.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-0.23.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-0.22.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.21.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.20.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.19.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 01 2013 i@stingr.net - 1.8-0.18.beta1
- bz#850299
- get rid of compatibility ifs

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.17.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.16.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.15.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 21 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 1.8-0.14.beta1
- Fix unitdir for FTBFS

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.13.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.12.beta1
- fixing the systemd/initscript

* Mon Oct 31 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.11.beta1
- fixes for specfile and init script

* Tue Jul 5 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.10.beta1
- add pre/postinstall stuff

* Thu Jun 2 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.9.beta1
- add systemd service file

* Thu Jun 2 2011 Paul P. Komkoff Jr <i@stingr.net> - 1.8-0.8.beta1
- add initscript

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.7.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.6.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-0.5.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8-0.4.beta1
- fix license tag

* Sun Feb 24 2008 Paul P Komkoff Jr <i@stingr.net> - 1.8-0.3.beta1
- make rpld a PIE

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.8-0.2.beta1
- Autorebuild for GCC 4.3

* Sat Oct 14 2006 Paul P Komkoff Jr <i@stingr.net> - 1.8-0.1.beta1
- Preparing for submission to fedora extras
